> For the complete documentation index, see [llms.txt](https://docs.shipped.club/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.shipped.club/features/authentication/mailchimp.md).

# MailChimp

First of all, configure MailChimp.

For this to work you only need the `MAILCHIMP_API_KEY` environment variable configured.&#x20;

[Follow this guide](/features/emails.md#create-your-api-key) to set it.

Open `src/config/auth.ts` and set

```typescript
import { emailFrom } from "@/config";
import { sendTransactionaEmail } from "@/libs/mailchimp"

/* ... */

providers: [
    EmailProvider({
      async sendVerificationRequest({identifier: email, url}) {
        await sendTransactionalEmail({
          to: email,
          from: emailFrom,
          subject: "Sign In to MyApp",
          text: `Please click here to authenticate - ${url}`,
        })
      },
    })
  ],
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.shipped.club/features/authentication/mailchimp.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
